/* =========================
   VIDEOS (DESKTOP)
========================= */
.container-videos{
  position: relative;
  padding: 0;
  margin: 0;
}
.videos {
  background-color: var(--color-bg-light); /* bege */
  padding: 5rem 0;  
  overflow: hidden;
  text-align: center;
}

/* TÍTULO */
.videos-title {
  font-family: var(--font-title);
  font-size: 2.5rem; /* ~40px */
  color: var(--color-text-dark);
  align-items: center;
  justify-content: center;
  margin-bottom: 2rem;
}

/* SLIDER */
.videos-slider {
  position: relative;

  display: flex;
  align-items: center;
  justify-content: center;

}

.videos-track {
  display: flex;
  height: 100%;
  transition: transform 0.5s ease;
  width: 100%; 
  gap: 2rem;


}

.video-item {
  min-width: 100%;
}

/* IFRAME */
.video-item iframe {
  width: 1080px;
  height: 550px;

}

.arrowvideo {
  position: absolute;
  top: 55%;
  transform: translateY(-50%);

  z-index: 5;

  background: none;
  border: none;
  cursor: pointer;

  display: flex;
  align-items: center;
  justify-content: center;
}

/* ESQUERDA */
.arrowvideo.arrow--left {
  left: calc(50% - 911px/2 - 250px);
}

/* DIREITA */
.arrowvideo.arrow--right {
  right: calc(50% - 911px/2 - 250px);
}

/* SVG */
.arrowvideo svg {
  width: 17px;
  height: 28px;
}

/* =========================
   VIDEOS MOBILE (até 768px)
========================= */

@media (max-width: 768px) {

  .videos {
    padding: 1rem 0 5rem 0;
    margin-top: 1px;
    margin-bottom: 1px;
  }

  /* TÍTULO */
  .videos-title {
    font-size: 3rem;
    margin-bottom: 1.5rem;
  }

  /* SLIDER */
  .videos-slider {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .videos-track {
    display: flex;
    transition: transform 0.5s ease;
  }

  /* ITEM */
  .video-item {
    min-width: 100%; 
    display: flex;
    justify-content: center;
  }

  /* VIDEO */
  .video-item iframe {
    width: 270px;
    height: 153px;
    border: none;
  }

  /* =========================
     SETAS MOBILE
  ========================= */

  .arrowvideo {
    top: calc(58% + 1rem); 
    transform: translateY(-50%);
  }

  /* ESQUERDA */
  .arrowvideo.arrow--left {
    left: calc(50% - 270px/2 - 30px);
  }

  /* DIREITA */
  .arrowvideo.arrow--right {
    right: calc(50% - 270px/2 - 30px);
  }

  /* SVG menor */
  .arrowvideo svg {
    width: 14px;
    height: 24px;
    flex-shrink: 0;
    aspect-ratio: 7/12;
  }
}